package com.warewms.common.utils;

import com.jfinal.plugin.activerecord.generator.MetaBuilder;

import javax.sql.DataSource;

/**
 * Created by IntelliJ IDEA.
 * User: andy.qu
 * Date: 2019/9/26
 */
public class _MetaBuilder extends MetaBuilder {

    public _MetaBuilder(DataSource dataSource) {
        super(dataSource);
    }

    @Override
    protected boolean isSkipTable(String tableName) {
        String[] tableArray = {"T_SHKD_MATERIAL"};//此处填入需要生成model的表
        for(int i=0;i<tableArray.length;i++){
            if(tableName.equals(tableArray[i])){
                return false;
            }
        }
        return true;
    }

}